Debian Bug report logs - #651008
liborc-0.4-0: Patch to add multiarch support

version graph

Package: liborc-0.4-0; Maintainer for liborc-0.4-0 is Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>; Source for liborc-0.4-0 is src:orc.

Reported by: William A Van Hevelingen <blkperl@cat.pdx.edu>

Date: Sun, 4 Dec 2011 23:45:07 UTC

Severity: normal

Tags: patch

Merged with 651247

Found in versions 1:0.4.14-1ubuntu1, orc/1:0.4.11-2

Fixed in version orc/1:0.4.16-2

Done: Alessio Treglia <alessio@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>:
Bug#651008; Package liborc-0.4-0. (Sun, 04 Dec 2011 23:45:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to William A Van Hevelingen <blkperl@cat.pdx.edu>:
New Bug report received and forwarded. Copy sent to Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>. (Sun, 04 Dec 2011 23:45:10 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: William A Van Hevelingen <blkperl@cat.pdx.edu>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: liborc-0.4-0: Patch to add multiarch support
Date: Sun, 04 Dec 2011 15:33:09 -0800
[Message part 1 (text/plain, inline)]
Package: liborc-0.4-0
Version: 1:0.4.11-2
Severity: normal


Hi,

The attached patch makes liborc-0.4-0 compatible with multiarch, as described at
<http://wiki.debian.org/Multiarch/Implementation>.

Thanks
--
William Van Hevelingen
blkperl@cat.pdx.edu
github.com/~blkperl

-- System Information:
Debian Release: squeeze/sid
  APT prefers natty-updates
  APT policy: (500, 'natty-updates'), (500, 'natty-security'), (500, 'natty'), (100, 'natty-backports')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.38-11-generic (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages liborc-0.4-0 depends on:
ii  libc6                     2.13-0ubuntu13 Embedded GNU C Library: Shared lib

liborc-0.4-0 recommends no packages.

liborc-0.4-0 suggests no packages.

-- no debconf information
[orc.diff (text/x-diff, attachment)]

Forcibly Merged 651008 651247. Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. (Wed, 07 Dec 2011 06:15:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>:
Bug#651008; Package liborc-0.4-0. (Sun, 12 Feb 2012 17:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregory hainaut <gregory.hainaut@gmail.com>:
Extra info received and forwarded to list. Copy sent to Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>. (Sun, 12 Feb 2012 17:09:03 GMT) Full text and rfc822 format available.

Message #12 received at 651008@bugs.debian.org (full text, mbox):

From: gregory hainaut <gregory.hainaut@gmail.com>
To: 651008@bugs.debian.org
Cc: control@bugs.debian.org
Subject: liborc-0.4-0: Patch to add multiarch support. One line missed
Date: Sun, 12 Feb 2012 18:07:58 +0100
user multiarch-devel@lists.alioth.debian.org
usertag 651008 + multiarch
thanks

Hello,

I try the patch on my PC and found a small issue. It miss some bits in
the control files.
"Multi-Arch: same" must be added to package liborc-0.4-0.

If you can check that include files inside liborc-0.4-dev are identical
across architecture/kernel, then you can also declare liborc-0.4-dev as
"Multi-Arch: same"


Cheers,
Gregory




Added tag(s) pending and patch. Request was from Alessio Treglia <alessio@debian.org> to control@bugs.debian.org. (Thu, 26 Apr 2012 08:18:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>:
Bug#651008; Package liborc-0.4-0. (Thu, 26 Apr 2012 08:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Miguel A. Colón Vélez <debian.micove@gmail.com>:
Extra info received and forwarded to list. Copy sent to Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>. (Thu, 26 Apr 2012 08:30:04 GMT) Full text and rfc822 format available.

Message #19 received at 651008@bugs.debian.org (full text, mbox):

From: Miguel A. Colón Vélez <debian.micove@gmail.com>
To: 651008@bugs.debian.org
Subject: Re: liborc-0.4-0: Patch to add multiarch support
Date: Thu, 26 Apr 2012 04:27:45 -0400
[Message part 1 (text/plain, inline)]
Hello:

Here is an updated patch based on the original one posted by William A
Van Hevelingen.

Changes:
- add the missing "Multi-Arch: same" to liborc
- bump debhelper build-dependency to (>= 9) to be able to make the dbg
package "Multi-Arch: same"
- drop dpkg-dev build-dep since debhelper 9 already depends on (>=1.16.0)
- drop the changelog entry

This patch applies over the master branch in
git://anonscm.debian.org/pkg-gstreamer/orc.git by using "git am".

Hope this helps,
Miguel
[0001-Convert-to-Multi-Arch.patch (application/octet-stream, attachment)]

Reply sent to Alessio Treglia <alessio@debian.org>:
You have taken responsibility. (Thu, 26 Apr 2012 08:52:20 GMT) Full text and rfc822 format available.

Notification sent to William A Van Hevelingen <blkperl@cat.pdx.edu>:
Bug acknowledged by developer. (Thu, 26 Apr 2012 08:52:50 GMT) Full text and rfc822 format available.

Message #24 received at 651008-close@bugs.debian.org (full text, mbox):

From: Alessio Treglia <alessio@debian.org>
To: 651008-close@bugs.debian.org
Subject: Bug#651008: fixed in orc 1:0.4.16-2
Date: Thu, 26 Apr 2012 08:47:44 +0000
Source: orc
Source-Version: 1:0.4.16-2

We believe that the bug you reported is fixed in the latest version of
orc, which is due to be installed in the Debian FTP archive:

liborc-0.4-0-dbg_0.4.16-2_amd64.deb
  to main/o/orc/liborc-0.4-0-dbg_0.4.16-2_amd64.deb
liborc-0.4-0_0.4.16-2_amd64.deb
  to main/o/orc/liborc-0.4-0_0.4.16-2_amd64.deb
liborc-0.4-dev_0.4.16-2_amd64.deb
  to main/o/orc/liborc-0.4-dev_0.4.16-2_amd64.deb
liborc-0.4-doc_0.4.16-2_all.deb
  to main/o/orc/liborc-0.4-doc_0.4.16-2_all.deb
orc_0.4.16-2.debian.tar.gz
  to main/o/orc/orc_0.4.16-2.debian.tar.gz
orc_0.4.16-2.dsc
  to main/o/orc/orc_0.4.16-2.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 651008@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Alessio Treglia <alessio@debian.org> (supplier of updated orc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Thu, 26 Apr 2012 10:17:02 +0200
Source: orc
Binary: liborc-0.4-0 liborc-0.4-dev liborc-0.4-0-dbg liborc-0.4-doc
Architecture: source all amd64
Version: 1:0.4.16-2
Distribution: unstable
Urgency: low
Maintainer: Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>
Changed-By: Alessio Treglia <alessio@debian.org>
Description: 
 liborc-0.4-0 - Library of Optimized Inner Loops Runtime Compiler
 liborc-0.4-0-dbg - Library of Optimized Inner Loops Runtime Compiler (debug package)
 liborc-0.4-dev - Library of Optimized Inner Loops Runtime Compiler (development he
 liborc-0.4-doc - Library of Optimized Inner Loops Runtime Compiler (documentation)
Closes: 651008
Changes: 
 orc (1:0.4.16-2) unstable; urgency=low
 .
   * Team upload.
   * Build for multiarch, thanks to William A Van Hevelingen and
     Miguel A. Colón Vélez for the good work. (Closes: #651008)
   * Add Vcs-* fields.
   * Bump Standards.
Checksums-Sha1: 
 5f7e04a1746be349c0bf7974b1a3d0247ce50726 2162 orc_0.4.16-2.dsc
 6549c621e97b25e0fd266ab20cfafcfba88bf9b5 5440 orc_0.4.16-2.debian.tar.gz
 fee778e64836c7b72ca91cdf1031d68420f70abc 75118 liborc-0.4-doc_0.4.16-2_all.deb
 5e78e190e8210cc0be4bacde669633f1da126042 178732 liborc-0.4-0_0.4.16-2_amd64.deb
 1e0fc766d32b3aaecf9720bb067d63ab13ff5e03 267072 liborc-0.4-dev_0.4.16-2_amd64.deb
 d4113c8993d26180ee2dd6f850c7adfc2d4ffcc7 357000 liborc-0.4-0-dbg_0.4.16-2_amd64.deb
Checksums-Sha256: 
 4d1526472146327c5def92e6eff8bcc3c3bc3d17c94912ff02d45d053aeac91c 2162 orc_0.4.16-2.dsc
 a0c3f2c4eb0f850b468f1f14bd209fbe1a4744a7f9ba6e914330c2bffed63d67 5440 orc_0.4.16-2.debian.tar.gz
 7181f841a82f9015626e2c23643cdfb3f69ec0c7b9ba49f17ef9ef49f9c984a9 75118 liborc-0.4-doc_0.4.16-2_all.deb
 705460abfb48ecb36babd3b0c68f8c4d38e8b28f673e9ac365de867189370cca 178732 liborc-0.4-0_0.4.16-2_amd64.deb
 6276b53e08eb273606195bf3a52f16a264a3aa02e44b7fa28378ca545f47c343 267072 liborc-0.4-dev_0.4.16-2_amd64.deb
 b5c7aa015f5aab2603da118d1146b1e34ea6a542ac4d5f96f07c0244133f189d 357000 liborc-0.4-0-dbg_0.4.16-2_amd64.deb
Files: 
 a471ea294122a1ddbe1cd98a4693eee0 2162 devel optional orc_0.4.16-2.dsc
 13305a4406e0b2994d7ea8246768aa7a 5440 devel optional orc_0.4.16-2.debian.tar.gz
 dca5b320e6534cd2c0a5852b5733d3f6 75118 doc optional liborc-0.4-doc_0.4.16-2_all.deb
 2b5954616f932c06fa62cac66154f3cc 178732 libs optional liborc-0.4-0_0.4.16-2_amd64.deb
 e9f4c8addb1b9cfe47af2177d531bb2d 267072 libdevel optional liborc-0.4-dev_0.4.16-2_amd64.deb
 3ee2092b1d236fc2cb67b0f0009d9efa 357000 debug extra liborc-0.4-0-dbg_0.4.16-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCgAGBQJPmQX6AAoJEOikiuUxHXZari8P/1348XM0VmpI9W+GgJXr8ofU
rCxH4H+uIUXNBt2ujyDB/cneBZRDyWQwOPp3S9pmQsw8VLwC1fzS4fiGgTQ+FmJS
uhMOQ2rGydJ8kk5f3hJ5qLhLkROoKaMapUvRxvx5t0jFCGLWuo1lkKcfWQEYOjbL
4P16Qe2DlJOqRmkb/6qIQ7q9BwlH5qQ1P20nrs+As0MI0J2AaNFCP+OZ2EHS/KwO
7ZO8/FDzXqqopVr50pvmx04mcQgttNXkRxQALStdvrhIC1VU3ezHR8NsLwYDbNbr
9DoD2dNSrBg7/TUcH0AK6vgWSyNffyje+ftUI1at765QDr6ABfoZsfH+quRwGHps
vQkZ7bWme7XZgXIpcAqNm11pAQnAWoKitzI6PqmxAeqguNEaL+lcO93toyoDmOh2
fUhLBslLTFu3A0pif/a/Lo4JGqFVrtqq0w2BuiLhZT+PIEPy97kiax81IQrDpyFH
BGhij99iA9Iik/HQa8T2US/4hiBM3N/1K9s4n2tO00RX2b5mARu7MEBHl4ooEdAb
gT/+drxlI1g2+jZ1TPN0WEDFZsOxBXl7QB468n2fsn9xiWfP6RIvsU1bqBM8qttx
75FnVn8u9yzsksywIB5mI4+Yxl2WH3zix9Xm7f4PDW+3Amlr04xBPRmuk5sEkrR6
oAsS5mH5o/Fy0G3nbwr/
=1YeU
-----END PGP SIGNATURE-----





Reply sent to Alessio Treglia <alessio@debian.org>:
You have taken responsibility. (Thu, 26 Apr 2012 08:52:56 GMT) Full text and rfc822 format available.

Notification sent to William A Van Hevelingen <blkperl@cat.pdx.edu>:
Bug acknowledged by developer. (Thu, 26 Apr 2012 08:53:12 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 15 Jun 2012 07:33:57 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 12:27:41 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.